export var EventType;
(function (EventType) {
    EventType["Comment"] = "Comment";
    EventType["AddCrashDefect"] = "AddCrashDefect";
    EventType["RemoveCrashDefect"] = "RemoveCrashDefect";
    EventType["AddStackKeyDefect"] = "AddStackKeyDefect";
    EventType["RemoveStackKeyDefect"] = "RemoveStackKeyDefect";
})(EventType || (EventType = {}));
export function createEvents(events) {
    return events.map(event => {
        const id = Number(event.id);
        const uId = Number(event.uId);
        const type = event.type;
        return {
            ...event,
            id,
            uId,
            type
        };
    });
}
//# sourceMappingURL=event.js.map